#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>


using namespace std;



struct Input {
    std::vector<double> numbers;
    size_t bin_count;
};

//  

Input input_data(istream& in, bool prompt = false) {
    Input in_data;
    size_t number_count;
    if (prompt) cerr << "Enter number count: ";
    in >> number_count;
    in_data.numbers.resize(number_count);
    if (prompt && number_count > 0) cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        in >> in_data.numbers[i];
    }
    if (prompt) cerr << "Enter bin count: ";
    in >> in_data.bin_count;
    return in_data;
}

int main() {
curl_global_init(CURL_GLOBAL_ALL);


    //       
    Input in_data = input_data(cin, true);  // true -  

    auto bins = make_histogram(in_data.numbers, in_data.bin_count);
    show_histogram_svg(bins);

    return 0;
}
